%define lib_major 0
%define lib_name %mklibname %{name}- 1 %{lib_major}  
%define libfam %mklibname fam 0

Summary: Library providing the FAM File Alteration Monitor API
Name: gamin
Version: 0.1.9
Release: %mkrel 3
License: LGPL
Group: Monitoring
Source0: http://www.gnome.org/~veillard/gamin/sources/gamin-%{version}.tar.gz
# (fc) 0.1.9-2mdv fix ABI/API compatibility with fam (SVN)
Patch0: gamin-0.1.9-fixcompat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/~veillard/gamin/
Obsoletes: fam
Provides: fam
BuildRequires: glib2-devel
BuildRequires: python-devel

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n python-%{name}
Summary: Python bindings for the gamin library
Group: Development/Python

%description -n python-%{name}
This package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.

%package -n %{lib_name}
Summary: Dynamic library for Gamin
Group: System/Libraries
Requires: %{name} >= %{version}
Obsoletes: %{libfam}
Provides: %{libfam}

%description -n %{lib_name}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.



%package -n %{lib_name}-devel
Summary: Libraries, includes, etc. to embed the Gamin library
Group: Development/C
Requires: %{name} = %{version}
Requires: %{lib_name} = %{version}
Provides: lib%{name}-1-devel = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{libfam}-devel
Provides: %{libfam}-devel
Provides: libfam-devel
Provides: fam-devel

%description -n %{lib_name}-devel
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%prep
%setup -q
%patch0 -p1 -b .fixcompat

%build
%configure2_5x --enable-inotify

%make

%install
rm -fr %{buildroot}

%makeinstall_std
rm -f %buildroot%_libdir/python%pyver/site-packages/_gamin.a

%clean
rm -fr %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/gam_server

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc

%files -n python-%{name}
%defattr(-, root, root)
%doc python/tests/*.py
%doc doc/python.html
%py_platsitedir/*gamin*




%changelog
* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.9-3mdv2008.1
+ Revision: 150090
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-2mdv2008.0
+ Revision: 84380
- Patch0 (SVN): fix ABI/API compatibility with fam

* Fri Jul 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.9-1mdv2008.0
+ Revision: 56411
- Release 0.1.9
- Remove patches 0, 1, merged upstream


* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-2mdv2007.1
+ Revision: 143644
- Patch1 (CVS): fix poll to be conditionnal

* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-1mdv2007.1
+ Revision: 102345
- Release 0.1.8
  Remove patch0 (merged upstream)
  Patch0 (CVS): fix NFS monitoring

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.1.7-5mdv2007.1
+ Revision: 88198
- update file list

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.7-4mdv2007.1
+ Revision: 74667
- bunzip patches
- Import gamin

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-3mdv2007.0
- Update patch0 with two other fixes

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2007.0
- Remove patch0, no longer needed
- Patch0 (CVS): various bug fixes

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-1mdk
- Release 0.1.7
- Remove patch 1 (merged upstream)

* Sat Sep 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-3mdk 
- Remove patch2, it seems to cause crashes with 0.1.5

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-2mdk 
- Patch1 (CVS): allow to disable inotify at runtime
- Patch2 (CVS): fix memleak in inotify mode

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.5-1mdk 
- Release 0.1.5

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.1-2mdk 
- Enable inotify
- Patch0: use local header for inotify

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- drop patches
- New release 0.1.1

* Fri May 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-2mdk 
- Patch0 (CVS): stop sending event after client unregisters
- Patch1: fix crash in poll only mode

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-1mdk 
- Release 0.1.0

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.26-1mdk 
- Release 0.0.26
- Remove patch0 (merged upstream)

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-4mdk 
- Update patch0 with upstream version

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-3mdk 
- Patch0 (Drean Brettle): fix crash when unmonitoring subdir with monitored
  files/dir (Mdk bug #14548)

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-2mdk 
- Disable inotify, it is not stable enough

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.25-1mdk 
- Release 0.0.25

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.24-2mdk 
- Remove patch0 (no longer needed)
- Rebuild for inotify 0.18-rml-16 aka 0.19

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.24-1mdk 
- Release 0.0.24
- Update patch0

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.23-2mdk
- fix lib64 provides

* Thu Feb 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.23-1mdk 
- Release 0.0.23

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.22-1mdk 
- Release 0.0.22
- Patch0: interface with inotify 0.17 (not 0.18 yet)

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.20-2mdk 
- Fix devel package to provide libfam-devel

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.20-1mdk 
- Release 0.0.20
- Remove patches 0 and 1 (merged upstream)

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-3mdk 
- Patch1: fix crash and implement poll only mode

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-2mdk 
- Patch0 (CVS): fix one crash when tree and root are null

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.19-1mdk
- New release 0.0.19

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.18-1mdk
- New release 0.0.18

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-5mdk
- added the changes fcrozat made in his 2mdk release that got lost 
  because of my mistake, also remove my 2mdk changelog entry, thanks 
  to blino for the insight.

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-4mdk
- fix deps

* Thu Nov 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.17-3mdk
- revert to 1mdk

* Thu Nov 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.17-2mdk
- Provides fam-devel too

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.17-1mdk 
- Initial mdk package

* Sat Jul 17 2004 Daniel Veillard <veillard@redhat.com>
- upstream release 0.0.2

